/*
** File: model_boot.h  
** Project: ADMXRC3 module driver
** Purpose: Exports functions for model-specific bootstrapping of the device context.
**
** (C) Copyright Alpha Data 2009
*/

#if !defined(ADATA_ADMXRC3_MODEL_BOOT_H)
#define ADATA_ADMXRC3_MODEL_BOOT_H

#include <df.h>

#include "device.h"

extern void
admxrc3BootstrapGeneric(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc2(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdpexrc5t(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6tl(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6t1(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6tge(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdmxrc6tadv8(
  Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3BootstrapAdpexrc6t(
  Admxrc3DeviceContext* pDevCtx);

#endif
